curl -X PATCH "https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/tests/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "Q4 Outbound - step 1 (retest)", "folderId": 12}'
import requests
API_KEY = "YOUR_API_KEY"
response = requests.patch(
"https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/tests/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b",
params={"api_key": API_KEY}, json={"name": "Q4 Outbound - step 1 (retest)", "folderId": 12}
)
print(response.status_code)
print(response.json())
const API_KEY = 'YOUR_API_KEY';
const response = await fetch(
`https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/tests/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b?api_key=${API_KEY}`,
{
method: 'PATCH',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({"name": "Q4 Outbound - step 1 (retest)", "folderId": 12})
}
);
console.log(await response.json());
{
"id": "3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b",
"name": "Q4 Outbound - sequence step 1",
"description": null,
"type": "MANUAL",
"status": "ACTIVE",
"statusReason": null,
"folderId": null,
"campaignId": 5614,
"sequenceId": 20311,
"variantId": null,
"seedsPerSenderPerProvider": 4,
"sendAllAtOnce": true,
"sendGapMinutes": null,
"textOnly": false,
"schedule": null,
"startsAt": null,
"endsAt": null,
"maxRuns": null,
"nextRunAt": null,
"runsCreated": 1,
"createdAt": "2026-11-17T08:30:00.000Z"
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API Key"
}
}
Smart Delivery v2 (Deliverability Test)
Update Deliverability Test
Rename a test, move it to a folder, or change its schedule or send timing
PATCH
/
api
/
v1
/
smart-delivery
/
tests
/
{id}
curl -X PATCH "https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/tests/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "Q4 Outbound - step 1 (retest)", "folderId": 12}'
import requests
API_KEY = "YOUR_API_KEY"
response = requests.patch(
"https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/tests/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b",
params={"api_key": API_KEY}, json={"name": "Q4 Outbound - step 1 (retest)", "folderId": 12}
)
print(response.status_code)
print(response.json())
const API_KEY = 'YOUR_API_KEY';
const response = await fetch(
`https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/tests/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b?api_key=${API_KEY}`,
{
method: 'PATCH',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({"name": "Q4 Outbound - step 1 (retest)", "folderId": 12})
}
);
console.log(await response.json());
{
"id": "3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b",
"name": "Q4 Outbound - sequence step 1",
"description": null,
"type": "MANUAL",
"status": "ACTIVE",
"statusReason": null,
"folderId": null,
"campaignId": 5614,
"sequenceId": 20311,
"variantId": null,
"seedsPerSenderPerProvider": 4,
"sendAllAtOnce": true,
"sendGapMinutes": null,
"textOnly": false,
"schedule": null,
"startsAt": null,
"endsAt": null,
"maxRuns": null,
"nextRunAt": null,
"runsCreated": 1,
"createdAt": "2026-11-17T08:30:00.000Z"
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API Key"
}
}
Smart Delivery v2 (Deliverability Test) API: the deliverability (inbox placement) test that sends your campaign email to seed inboxes and reports where it landed. Contact support@smartlead.ai for access.
Overview
Send only the fields you want to change. At least one field is required.schedule is one of:
{ "frequency": "DAILY", "timeOfDay": "09:00", "timezone": "America/New_York" }{ "frequency": "WEEKLY", "weekdays": [1, 3, 5], "timeOfDay": "09:00", "timezone": "America/New_York" }(weekdaysare numbers 1 to 7){ "frequency": "EVERY_N_DAYS", "everyNDays": 3, "timeOfDay": "09:00", "timezone": "America/New_York" }(everyNDays2 to 90)
timeOfDay is HH:mm (24 hours) and timezone an IANA timezone name.
Path Parameters
Query Parameters
Body Parameters
curl -X PATCH "https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/tests/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "Q4 Outbound - step 1 (retest)", "folderId": 12}'
import requests
API_KEY = "YOUR_API_KEY"
response = requests.patch(
"https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/tests/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b",
params={"api_key": API_KEY}, json={"name": "Q4 Outbound - step 1 (retest)", "folderId": 12}
)
print(response.status_code)
print(response.json())
const API_KEY = 'YOUR_API_KEY';
const response = await fetch(
`https://sl-sd-api.smartlead.ai/api/v1/smart-delivery/tests/3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b?api_key=${API_KEY}`,
{
method: 'PATCH',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({"name": "Q4 Outbound - step 1 (retest)", "folderId": 12})
}
);
console.log(await response.json());
Response Fields
Why the test is in this status, for example
USER_PAUSED, USER_STOPPED or SCHEDULE_ENDEDResponse Codes
Client (agency) API keys are not allowed (
CLIENT_NOT_ALLOWED), or your plan does not include API access (API_ACCESS_RESTRICTED)Too many requests for this API key. Wait the number of seconds in the
Retry-After header (RATE_LIMITED){
"id": "3f2b8c1e-5d4a-4e7b-9a60-1c2d3e4f5a6b",
"name": "Q4 Outbound - sequence step 1",
"description": null,
"type": "MANUAL",
"status": "ACTIVE",
"statusReason": null,
"folderId": null,
"campaignId": 5614,
"sequenceId": 20311,
"variantId": null,
"seedsPerSenderPerProvider": 4,
"sendAllAtOnce": true,
"sendGapMinutes": null,
"textOnly": false,
"schedule": null,
"startsAt": null,
"endsAt": null,
"maxRuns": null,
"nextRunAt": null,
"runsCreated": 1,
"createdAt": "2026-11-17T08:30:00.000Z"
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API Key"
}
}
